Bug 121445 - Comments in xlsx once saved in LO Calc shown wrong in MSO after saving in Excel
Summary: Comments in xlsx once saved in LO Calc shown wrong in MSO after saving in Excel
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLSX-Comments
  Show dependency treegraph
 
Reported: 2018-11-15 15:41 UTC by paulavets
Modified: 2019-12-12 14:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The zip contains the screen record video and the sample file. (2.64 MB, application/x-zip-compressed)
2018-11-15 15:41 UTC, paulavets
Details

Note You need to log in before you can comment on or make changes to this bug.
Description paulavets 2018-11-15 15:41:56 UTC
Created attachment 146669 [details]
The zip contains the screen record video and the sample file.

If I open a xlsx file with cell comments in Calc and save it, and then open it back in Excel, at first glance nothing changes but only the color of the comment box (changes from the yellow to white). 
But if I do a save&open routine in Excel again, the comments get completely broken - instead of floating rectangle box a massive round arrow is seen with the comment text underlying. 

I recorded a short video showing the steps:
1. Created a new empty file with a random comment, saved as xlsx&closed.
2. Opened it with the Calc, saved & closed.
3. Opened it again in Excel (color changed to white, but it's still okay), saved & closed
4. Once more opened in Excel and you can see the comment messed up.

Version: 6.1.2.1 (x64)
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: ru-RU (be_BY); Calc: CL

MS office 2016 Pro
Comment 1 paulavets 2018-11-16 06:30:07 UTC
Tested this situation also in the most recent 6.2.0.0.aplha1+ build (2018-11-15_23:05:09) - the arrow bug persists.
The only difference I see is the comment box color - it does not change its color to white (as it was in 6.1.2.1) and remains yellow (both in Calc and Excel).
Comment 2 Roman Kuznetsov 2018-11-16 07:08:47 UTC
don't repro for

LO 6.2 alpha 1 and MS Excel 2010
Comment 3 Timur 2018-11-16 13:12:57 UTC
I do repro with LO 6.2+ and MSO 2016. 
But it looks like "NotOurBug". 
Because LO opens file OK and it's MSO that opens wrong file it saved. 
I'll close. If you disagree, please explain and set Unconfirmed.
Comment 4 paulavets 2018-11-17 08:54:46 UTC
I am reopening this issue for the following reason. 
As far as I know MS Excel native file format is extremely wide used for spreadsheets calculations. I even would say it is a de-facto standard (but if this is arguable for someone, I don't insist).
And thus I consider it is vital for the LO to be compatible with the leader and support .xlsx functionality as fully as possible. 
Yes, the file visualization gets corrupted in MS Excel (not in the LO) but it really happens only after LO touched the file.

I don't mind if my issue get closed unresolved finally, but please firstly look at it from the point of view I described.
Comment 5 Timur 2018-11-19 12:31:55 UTC
If Excel opens it's own saved file wrong, we cannot know why it does so.
As Roman noticed, doesn't happen with MSO 2010. 
Please file a bug with Microsoft.
Comment 6 michal-ald-documentfoundation 2019-09-02 18:24:01 UTC
Still happens with LO 6.3.0.4 and MSO 2013.

Maybe you could take a look at these files? They are tiny and maybe person with knowledge of XLSX format would spot the reason quickly?

This may look like a tiny inconvenience, but actually is a show-stopper if you need to use comments and collaborate with MSO user.
Comment 7 michal-ald-documentfoundation 2019-09-02 19:24:18 UTC
I've found that in my case all it takes to fix the XLSX file after it was saved by LO Calc, is to replace

<v:shapetype id="_x005F_x0000_t202"
with
<v:shapetype id="_x0000_t202"

and

<v:shape ... type="#_x005F_x0000_t202"
with
<v:shape ... type="#_x0000_t202"

in xl\drawings\vmlDrawing1.vml.

"_x0000_t202" is value from XLSX before it was saved by LO Calc.

I hope this will enable you to prepare a fix.